<?php
/*
>>>>>> CrazyStat <<<<<<
Ein komfortables, umfangreiches und kostenloses Statistik-Script mit oder ohne Counter.

Copyright (C) 2004-2006  Crazy Chrissi

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

E-Mail: christosoft4u@yahoo.de
Web: http://www.christosoft.de.vu
Version: 1.60

*** log-tool/index.php ***
Funktion:    Wandelt Logdateien um, komprimiert oder dekomprimiert, splittet sie oder fuehrt sie zusammen
Aufrufbar:   ja
Eingebunden: nein
*/


session_start();

echo '<?xml version="1.0" encoding="iso-8859-1"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>CrazyStat Log-Tool</title>
  <link href="../style.css" rel="stylesheet" type="text/css" />
  <meta name="generator" content="WebCraft v1.6.8 [http://pr0g.net]" />
 </head>
 <body id="body">
  <h1>CrazyStat Log-Tool</h1>
  <form action="index.php" method="post" enctype="multipart/form-data">
<?php
if(!isset($_REQUEST['schritt']) || !is_numeric($_REQUEST['schritt']) || $_REQUEST['schritt']>6 || $_REQUEST['schritt']<=0)
 {
 if(isset($_GET['reset'])) unset($_SESSION['clog_ausgangsformat'],$_SESSION['clog_ausgangsdatei_splits'],$_SESSION['clog_zielformat'],$_SESSION['clog_erneuereZeilen'],$_SESSION['clog_splitting'],$_SESSION['clog_split'],$_SESSION['clog_kompression']);
?>
  <h2>Willkommen...</h2>
  <p>
  ... im CrazyStat Log-Tool. Mit diesem Tool k&ouml;nnen sie leicht und bequem CrazyStat-Logdateien konvertieren, komprimieren, dekomprimieren,
  splitten und zusammenf&uuml;hren.<br />
  In f&uuml;nf einfachen Schritten w&auml;hlen Sie aus, wie Ihre Logdatei jetzt ist, und wie sie werden soll.<br />
  Alle Einstellungen sind gut erkl&auml;rt. Sollten Sie nicht wissen, was sie ausw&auml;hlen sollen, belassen Sie einfach den Vorgabewert.<br />
  <br />
  Dieses Tool beginnt mit den gew&uuml;nschten Aktionen erst, nachdem Sie auf "Fertig stellen" klicken.
  </p>
  <input type="hidden" name="schritt" value="1" />
  <?php if(isset($_SESSION['clog_ausgangsformat'])) { ?><input type="button" value="Alles zur&uuml;cksetzen" onclick="if(confirm('Mchten Sie wirklich alle Einstellungen auf Standard zurcksetzen?'))location.href='index.php?reset=1';" /><?php } ?>
  <input type="submit" value="Start" />
<?php
 }
else
 {
 $schritt=$_REQUEST['schritt'];
 echo '<input type="hidden" name="schritt" value="'.($schritt+1).'" />';
 switch($schritt)
  {
  case 1:
?>
   <h2>Schritt 1/5: Ausgangs-Logformat</h2>
   <p>
   <b>Welches Format hat die Logdatei, die dieses Tool nun verarbeiten soll?</b><br />
   Wenn Sie vorher CrazyStat 1.5x verwendet haben, w&auml;hlen Sie hier "1.5".
   Wenn Ihre Logdatei von CrazyStat 1.60 oder diesem Tool bereits im neuen Platz sparendem 1.6-Format erstellt wurde, w&auml;hlen Sie "1.6".
   </p>
   <p>
    Ausgangsformat: <select name="ausgangsformat" size="1">
    <option<?php if(isset($_SESSION['clog_ausgangsformat']) && $_SESSION['clog_ausgangsformat']=='1.5') echo ' selected="selected"'; ?>>1.5</option>
    <option<?php if(isset($_SESSION['clog_ausgangsformat']) && $_SESSION['clog_ausgangsformat']=='1.6') echo ' selected="selected"'; ?>>1.6</option>
    </select>
   </p>
   <p>
   <b>Ist die Ausgangsdatei gesplittet?</b><br />
   Wenn Ihre Logdatei von CrazyStat 1.60 oder diesem Tool bereits gesplittet wurde, geben Sie ein, in wie viele Dateien. Wenn Ihre Datei
   nicht gesplittet ist, lassen Sie "1" stehen. Wenn Ihre letzte Logdatei "stat12.log" hei&szlig;t, geben Sie "13" ein (da die Z&auml;hlung bei 0 startet).
   </p>
   <p>
   Ausgangsdatei gesplittet in <input type="text" name="ausgangsdatei_splits" value="<?php echo (isset($_SESSION['clog_ausgangsdatei_splits'])?$_SESSION['clog_ausgangsdatei_splits']:1); ?>" size="2" /> Dateien.
   </p>
<?php
  break;
  case 2:
  if(isset($_POST['ausgangsformat'])) $_SESSION['clog_ausgangsformat']=$_POST['ausgangsformat'];
  if(isset($_POST['ausgangsdatei_splits'])) $_SESSION['clog_ausgangsdatei_splits']=$_POST['ausgangsdatei_splits'];
?>
   <h2>Schritt 2/5: Zielformat</h2>
   <p>
   <b>Welches Format m&ouml;chten Sie zuk&uuml;nftig f&uuml;r Ihre CrazyStat-Logdateien verwenden?</b><br />
   In CrazyStat 1.5x kam das Logformat "1.5" zum Einsatz, welches gro&szlig;e Logdateien erzeugt. Hier werden in jeder Logzeile jedes Mal
   alle Informationen gespeichert, z.B. Uhrzeit, Datum, Timestamp, IP-Adresse, User-Agent (Browser und System) usw. CrazyStat 1.60 unterst&uuml;tzt
   dieses Format weiterhin.<br />
   Mit CrazyStat 1.60 wurde ein neue Logformat "1.6" eingef&uuml;hrt. Dieses ist kleiner, da nur noch so viele Informationen gespeichert werden
   wie n&ouml;tig. So wird z.B. Uhrzeit und Datum nicht mehr in der Logdatei gespeichert, sondern nur noch der Timestamp. Dies ist ein
   eindeutiger Wert, der Datum und Uhrzeit vereint indem er die Sekunden seit dem 01.01.1970 z&auml;hlt. Diesen Wert ben&ouml;tigt CrazyStat ohnehin,
   und da in ihm Datum und Uhrzeit enthalten sind, ist es nicht n&ouml;tig, diese zus&auml;tzlich zu speichern. Somit spart das neue Format Platz.
   Au&szlig;erdem werden die Daten nun nur noch mit einem Trennzeichen getrennt gespeichert, im 1.5-Format kommen zus&auml;tzliche Zeichen hinzu um
   das Format f&uuml;r Menschen lesbarer zu machen. Au&szlig;erdem unterst&uuml;tzt das neue Logformat "Kompression". Mit diesem Verfahren
   wird die Logdatei nochmals erheblich kleiner. Die Auswertung der neuen Logdateien dauert ein
   wenig l&auml;nger als die der alten.<br />
   <b>Wenn Sie Wert auf kleine Logdateien legen, w&auml;hlen Sie "1.6". Wenn Sie Wert auf eine m&ouml;glichst schnelle Auswertung legen, w&auml;hlen
   Sie "1.5".</b>
   </p>
   <p>
    Zielformat: <select name="zielformat" size="1">
    <option<?php if(isset($_SESSION['clog_zielformat']) && $_SESSION['clog_zielformat']=='1.6') echo ' selected="selected"'; ?>>1.6</option>
    <option<?php if(isset($_SESSION['clog_zielformat']) && $_SESSION['clog_zielformat']=='1.5') echo ' selected="selected"'; ?>>1.5</option>
    </select>
   </p>
   
   <p>
   <b>Soll die Zeilenz&auml;hlung erneuert werden?</b><br />
   Die Eintr&auml;ge in den CrazyStat-Logs werden durchgez&auml;hlt. Es kann unter bestimmten Umst&auml;nden dazu kommen,
   dass die Z&auml;hlungen nicht stimmen. Sie k&ouml;nnen die Z&auml;hlung erneuern lassen, sodass sie wieder korrekt ist.
   </p>
   <p>
    <input type="checkbox" name="erneuereZeilen" <?php if(!isset($_SESSION['clog_erneuereZeilen']) || $_SESSION['clog_erneuereZeilen']) echo 'checked="checked"'; ?> /> Zeilenz&auml;hlung erneuern (empfohlen)
   </p>
<?php
  break;
  case 3:
  if(isset($_POST['zielformat']))
   {
   $_SESSION['clog_zielformat']=$_POST['zielformat'];
   if(isset($_POST['erneuereZeilen']) && $_POST['erneuereZeilen']=='on')
    {
    $_SESSION['clog_erneuereZeilen']=true;
    }
   else $_SESSION['clog_erneuereZeilen']=false;
   }
?>
   <h2>Schritt 3/5: Splitting</h2>
   <p>
   <b>Wie gro&szlig; sollen Ihre Logdateien maximal werden?</b><br />
   CrazyStat 1.60 kann Logdateien splitten. Das bedeutet, dass ab einer gewissen Logdateigr&ouml;&szlig;e eine neue Logdatei angelegt wird. Dies ist zum
   einem dann wichtig, wenn auf Ihrem Servern eine maximale Dateigr&ouml;&szlig;e eingestellt ist. Au&szlig;erdem m&uuml;ssen Sie nicht mehr alle
   Logdateien backuppen sondern nur noch die letzten. Au&szlig;erdem wird mit dem Splitting demn&auml;chst das Auswerten der Logdateien beschleunigt.
   CrazyStat 1.5x kann nicht mit gesplitteten Logfiles umgehen.<br />
   <b>Es wird empfohlen, Ihre Logdatei zu splitten. Ein sinnvoller Wert ist 1MB.</b>
   </p>
   <p>
    <input type="checkbox" name="split" <?php if(!isset($_SESSION['clog_split']) || $_SESSION['clog_split']) echo 'checked="checked"'; ?> /> Splitten nach: <input type="text" name="splitting" value="<?php echo (isset($_SESSION['clog_splitting'])?$_SESSION['clog_splitting']:1); ?>" size="2" /> MB
   </p>
<?php
  break;
  case 4:
  if(isset($_POST['splitting']))
   {
   if(isset($_POST['split']) && $_POST['split']=='on')
    {
    $_POST['splitting']=str_replace(',','.',$_POST['splitting']);
    if(!is_numeric($_POST['splitting'])) die('Bitte Zahl eingeben.');
    $_SESSION['clog_splitting']=$_POST['splitting'];
    $_SESSION['clog_split']=true;
    }
   else $_SESSION['clog_split']=false;
   }
?>
   <h2>Schritt 4/5: Kompression</h2>
<?php
  if($_SESSION['clog_zielformat']==1.6)
   {
?>
   <p>
   <b>M&ouml;chten Sie "Kompression" verwenden, um erheblich kleinere Logdateien zu erhalten?</b><br />
   "Kompression" ist ein Verfahren, dass Ihre Logdatei auf ein Minimum schrumpfen l&auml;sst. Das funktioniert folgenderma&szlig;en:
   Sagen wir ein Besucher Ihrer Website besucht mehrere Seiten, erzeugt also mehrere Logeintr&auml;ge. Somit werden jedes Mal das Betriebssystem,
   der Browser, die Aufl&ouml;sung und die Farbtiefe gespeichert, keine dieser Einstellungen hat Ihr Besucher aber w&auml;hrend seines Besuches
   ver&auml;ndert. Mittels "Kompression" wird, sollten die Daten denen des letzten Eintrags entsprechen, nur noch ein Zeichen f&uuml;r "siehe oben"
   gespeichert. Damit gehen keine Daten verloren, selbst wenn ein Besucher seinen Browser &auml;ndert wird dies erfasst, aber die Logdatei schrumpft
   erheblich.<br />
   Beachten Sie, dass wenn dieses Tool Ihre Log komprimiert, keine Datenverf&auml;lschungen auftreten k&ouml;nnen. Wenn Sie CrazyStat
   aber neue Eintr&auml;ge direkt komprimieren lassen, kann es in seltensten F&auml;llen zu Datenverf&auml;lschungen kommen. Sie k&ouml;nnen
   Ihre Log von diesem Tool komprimieren lassen, und CrazyStat neue Eintr&auml;ge unkomprimiert anf&uuml;gen lassen. Um kleinere Logs zu
   erzielen k&ouml;nnen Sie die Logs dann von Zeit zu Zeit mit diesem Tool komprimieren.<br />
   
   <b>Wenn Sie Wert auf enorm kleine Logdateien legen, w&auml;hlen Sie "Kompression". Wenn Sie Wert auf menschenlesbare Logdateien legen,
   w&auml;hlen Sie keine "Kompression".</b>
   </p>
   <p>
    <input type="checkbox" name="kompression" <?php if(!isset($_SESSION['clog_kompression']) || $_SESSION['clog_kompression']) echo 'checked="checked"'; ?> /> "Kompression" verwenden
    <input type="hidden" name="sent" value="1" />
   </p>
<?php
   }
  else
   {
?>
   <p>Das gew&uuml;nschte Zielformat unterst&uuml;tzt keine Kompression.</p>
<?php
   }
  break;
  case 5:
  if(isset($_POST['sent']))
   {
   if(isset($_POST['kompression']) && $_POST['kompression']=='on')
    {
    $_SESSION['clog_kompression']=true;
    }
   else $_SESSION['clog_kompression']=false;
   }
?>
   <h2>Schritt 5/5: Zusammenfassung und Dateien</h2>
   <p>
   <b>Sie haben folgende Einstellungen gew&auml;hlt:</b><br />
   Ausgangsformat: <?php echo $_SESSION['clog_ausgangsformat']; ?><br />
   Zielformat: <?php echo $_SESSION['clog_zielformat']; ?><br />
   Splitting: <?php echo ($_SESSION['clog_split']?'Ja nach '.$_SESSION['clog_splitting'].'MB':'Nein'); ?><br />
   Kompression: <?php echo ($_SESSION['clog_kompression']?'Ja':'Nein'); ?><br />
   Zeilen erneuern: <?php echo ($_SESSION['clog_erneuereZeilen']?'Ja':'Nein'); ?>
   </p>
   <p>
   <b>Geben Sie den Pfad zu den Dateien ein, die verarbeitet werden sollen.</b><br />
   Hier geben Sie an, wo die Logdateien liegen, die verarbeitet werden sollen (Beispiel1: .. oder ../logs).
   Der Pfad sollte relativ vom Logtool aus sein; ".." bedeutet einen Ordner zur&uuml;ck. Geben Sie weder einen
   abschlie&szlig;enden Slash (/) noch einen Slash am Anfang an. Verwenden Sie keine Backslashs (\) sondern normale (/).
   <br />
   <?php
   if(is_file('../stat.log') || is_file('../stat0.log')) $guessed_path='..';
   elseif(is_file('../logs/stat0.log')) $guessed_path='../logs';
   elseif(is_file('in/stat.log')) $guessed_path='in';
   elseif(isset($config_logdatei_ordner) && is_file('../'.$config_logdatei_ordner.'/stat0.log')) $guessed_path=$config_logdatei_ordner;
   else $guessed_path='.';
   echo 'Pfad: <input type="text" name="logfile_path" value="'.$guessed_path.'" />';
   if($guessed_path!='') echo '<br />Es wurden Logdateien im Pfad "'.$guessed_path.'" gefunden.';
   ?>
   </p>

   <p>
   <b>Geben Sie die Datei(en) an, die verarbeitet werden sollen.</b><br />

   Geben Sie die Dateinamen hier ein (Beispiele: stat.log, stat0.log):<br />
   <?php
   if($_SESSION['clog_ausgangsdatei_splits']>1) echo 'Bitte achten sie auf die Reihenfolge.<br />';
   for($i=0;$i<$_SESSION['clog_ausgangsdatei_splits'];$i++)
    {
    echo 'Datei '.($i+1).': <input type="text" name="logfile_name'.$i.'" value="';
    if($_SESSION['clog_ausgangsformat']=='1.5' && $_SESSION['clog_ausgangsdatei_splits']==1) echo 'stat.log';
    else echo 'stat'.$i.'.log';
    echo '" /><br />';
    }
   ?>
   </p>
   <p>
    <b>Wo soll(en) die Zieldatei(en) abgelegt werden?</b><br />
    Geben Sie an, wo die Zieldateien relativ vom Logtool gesehen abgelegt werden sollen. Normalerweise liegen die Dateien im Unterordner "logs" des CrazyStat-Verzeichnisses.
    In diesem Fall m&uuml;ssen Sie "../logs" angeben.
    Geben Sie den Pfad ohne Slashs am Anfang oder Ende an, ".." steht f&uuml;r einen Ordner zur&uuml;ck. Verwenden Sie keine Backslashs (\) sondern normale (/).
    Im Zielordner werden eventuell bereits vorhandene Dateien ersetzt.<br />
    <input type="text" name="neuer_pfad" value="logs" />
   </p>
   <p>
    <b>Wie soll die Zieldatei hei&szlig;en?</b><br />
    Bitte geben Sie an, wie die neue Logdatei hei&szlig;en soll. Der Dateiname muss einen Punkt enthalten. Vor dem Punkt wird die Split-Nummer
    automatisch eingef&uuml;gt (bzw. "0" wenn Sie kein Splitting verwenden).<br />
    <input type="text" name="neuer_dateiname" value="stat.log" />
   </p>
   <p>
   <?php
   $fertig=true;
   echo '<input type="button" value="Zur&uuml;ck" onclick="location.href=\'index.php?schritt='.($schritt-1).'\';" />  <input type="submit" value="Fertig stellen"  onclick="this.disabled=true; this.value=\'Bitte warten...\'; document.getElementById(\'body\').style.cursor=\'wait\'; this.form.submit();" />';
   ?>
   </p>
<?php
  break;
  case 6:
  @set_time_limit(150);
  echo '<h2>Gew&uuml;nschte Aktionen werden ausgef&uuml;hrt</h2><p style="font-size:8pt;">';
  if(is_file('../log_funcs.php')) require_once('../log_funcs.php');
  elseif(is_file('log_funcs.php')) require_once('log_funcs.php');
  else die('Fehler: Die Datei log_funcs.php wurde nicht gefunden.');
  
  @mkdir('out',0777);
  $neuesVerzeichnis='out';
  $altesVerzeichnis=$_POST['logfile_path'];
  if(!is_dir($altesVerzeichnis))
   {
   echo 'Fehler: Ausgangs-Verzeichnis nicht vorhanden.';
   break;
   }
  
  $neueDatei['name']=$neuesVerzeichnis.'/'.substr($_POST['neuer_dateiname'],0,strpos($_POST['neuer_dateiname'],'.'));
  $neueDatei['ext']=substr($_POST['neuer_dateiname'],strpos($_POST['neuer_dateiname'],'.'));
  $neueDatei['i']=0;
  
  echo '<br />Schreibe in Datei '.$neueDatei['name'].$neueDatei['i'].$neueDatei['ext'];
  $zeilennr=0;
  @$max=$_SESSION['clog_splitting']*1000*1000;
  $erneuert=0;
  for($i=0;$i<$_SESSION['clog_ausgangsdatei_splits'];$i++)
   {
   if(!empty($_POST['logfile_name'.$i]))
    {
    $tmp_name=$altesVerzeichnis.'/'.$_POST['logfile_name'.$i];
    $name=basename($tmp_name);
    }
   else { echo '<br /><span style="color:red; font-size:14pt;">Datei '.($i+1).' nicht angegeben. Sie haben die '.($i+1).'. Datei, aus der gelesen werden soll, nicht angegeben. Breche ab.</span>'; break; }
   echo '<br />Lese aus Datei '.$name;
   if(!file_exists($tmp_name)) die('<br /><b>Fehler: Datei nicht gefunden!</b>');
   $handle=fopen($tmp_name,'r');
   while(!feof($handle))
    {
    $zeile=fgets($handle);
    if(empty($zeile))
     {
     echo '<br />&Uuml;berspringe leere Zeile.';
     continue;
     }
    $daten=explode('#',$zeile);

    if($_SESSION['clog_ausgangsformat']==1.6 ) // entkomprimieren
     {
     foreach($daten as $id=>$data)
      {
      $data=trim($data);
      if($data!='^') $letzte_daten1[$id]=$data;
      else $daten[$id]=$letzte_daten1[$id];
      }
     }

    if($_SESSION['clog_ausgangsformat']!=$_SESSION['clog_zielformat']) // konvertieren
     {
     if($_SESSION['clog_ausgangsformat']==1.5) $daten=convert_log_data($daten, 1.5, 1.6);
     else $daten=convert_log_data($daten, 1.6, 1.5);
     }
    if($_SESSION['clog_split']) // splitten
     {
     clearstatcache();
     if(is_file($neueDatei['name'].$neueDatei['i'].$neueDatei['ext']) && filesize($neueDatei['name'].$neueDatei['i'].$neueDatei['ext'])>=$max)
      {
      echo '<br />Schlie&szlig;e  Datei '.$neueDatei['name'].$neueDatei['i'].$neueDatei['ext'];
      $neueDatei['i']++;
      echo '<br />Schreibe in Datei '.$neueDatei['name'].$neueDatei['i'].$neueDatei['ext'];
      if(isset($letzte_daten2)) unset($letzte_daten2);
      }
     }
    $zeile='';
    if($_SESSION['clog_erneuereZeilen'] && $daten[0]!=$zeilennr)
     {
     $daten[0]=$zeilennr;
     $erneuert++;
     }
    foreach($daten as $id=>$data)
     {
     $data=trim($data);
     if(!is_numeric($id)) break;
     if($id!=0) $zeile.='#';
     if($_SESSION['clog_kompression'] && $id!=0 && !empty($letzte_daten2[$id]) && $data==$letzte_daten2[$id] && ($zeilennr%10)!=0) $zeile.='^';  // komprimieren
     else $zeile.=$data;
     $letzte_daten2[$id]=$data;
     }
    $zeile.="\n";
    $handle2=fopen($neueDatei['name'].$neueDatei['i'].$neueDatei['ext'],'a');
    fwrite($handle2,$zeile);
    fclose($handle2);
    $zeilennr++;
    }
   echo '<br />Bis Zeile '.$zeilennr.' (der neuen Log) aus '.$name.' gelesen. Schlie&szlig;e Datei.';
   fclose($handle);
   }
  echo '<br />Dateien werden jetzt vom tempor&auml;ren Ordner zum Zielverzeichnis verschoben.';
  
  for($i=0;$i<=$neueDatei['i'];$i++)
   {
   echo '<br />Verschiebe '.$neueDatei['name'].$i.$neueDatei['ext'];
   $neuerPfad=$_POST['neuer_pfad'].substr($neueDatei['name'],3).$i.$neueDatei['ext'];
   if(is_file($neuerPfad))
    {
    unlink($neuerPfad);
    echo ' <b>Datei bereits vorhanden! &Uuml;berschreibe Datei</b>';
    }
   rename($neueDatei['name'].$i.$neueDatei['ext'],$neuerPfad);
   }

  rmdir('out');
  
  
  echo '<br /> Es wurden '.$erneuert.' Zeilenz&auml;hlungen erneuert.';
  if(is_file('../config.php'))
   {
   include_once('../config.php');
   $korrekt=' // Momentan korrekt gesetzt';
   $anders=' <span style="color:red">// Momentan anderer Wert</span>';
   $hinweis1=($config_logdatei_name==$_POST['neuer_dateiname']?$korrekt:$anders);
   if(($_SESSION['clog_split'] && $config_logdatei_maxsize==($_SESSION['clog_splitting']*1000)) || (!$_SESSION['clog_split'] && $config_logdatei_maxsize===false)) $hinweis2=$korrekt;
   else $hinweis2=$anders;
   $hinweis3=($config_log_ver==$_SESSION['clog_zielformat']?$korrekt:$anders);
   $hinweis4=($config_log_shrink==$_SESSION['clog_kompression']?$korrekt:$anders);
   $hinweis5=($config_log_shrinked==$_SESSION['clog_kompression']?$korrekt:$anders);
   }
  else
   {
   $hinweis1=''; $hinweis2=''; $hinweis3=''; $hinweis4=''; $hinweis5='';
   }
  
  echo '</p><hr />Sollten keine Fehler gemeldet worden sein, wurden die Aktionen erfolgreich durchgef&uuml;hrt.<br />'
       .'Wenn Sie diese Logdatei(en) mit CrazyStat 1.60 verwenden m&ouml;chten, werden folgende Einstellungen (dringend) empfohlen:'
       .'<p style="font-family:Courier">$config_logdatei_name="'.$_POST['neuer_dateiname'].'";'.$hinweis1.'<br />'
       .'$config_logdatei_maxsize='.($_SESSION['clog_split']?$_SESSION['clog_splitting']*1000:'false').';'.$hinweis2.'<br />'
       .'$config_log_ver='.$_SESSION['clog_zielformat'].';'.$hinweis3.'<br />'
//     .'$config_log_shrink='.($_SESSION['clog_kompression']?'true':'false').';'.$hinweis4.'<br />'
       .'$config_log_shrinked='.($_SESSION['clog_kompression']?'true':'false').';'.$hinweis5.'</p>';
  echo '<p>Wenn Sie CrazyStat 1.60 verwenden, rufen Sie nach dem Anpassen der Einstellungen die Datei show_stat.php auf. Dabei wird ein Counterfile erzeugt und der Counter auf den korrekten Wert gestellt.</p>';
  if($_SESSION['clog_zielformat']==1.5 && !$_SESSION['clog_split']) echo '<p>Sie k&ouml;nnen diese Logdatei mit CrazyStat 1.5x verwenden, wenn Sie sie in "'.$_POST['neuer_dateiname'].'" umbenennen, $config_logdatei_name="'.$_POST['neuer_dateiname'].'" setzen und die Datei ins Verzeichnis von CrazyStat 1.5x verschieben.</p>';
  echo 'Viel Spa&szlig; mit CrazyStat,<br />Crazy Chrissi';
  echo '<br /><input type="submit" value="Zum Anfang" />';
  $fertig=true;
  break;
  }
 if(!isset($fertig) || !$fertig) echo '<input type="button" value="Zur&uuml;ck" onclick="location.href=\'index.php?schritt='.($schritt-1).'\';" /><input type="submit" value="Weiter" />';
 }
?>
  </form>
  <p><br /><br />
   <a href="http://validator.w3.org/check?uri=referer" style="font-size: 8pt; color:gray; text-decoration:none">Valid XHTML</a>
  </p>
 </body>
</html>